Bug 729708 - [abrt] claws-mail-3.7.9-5.fc14: delete_imap -> mailimap_free -> _int_free: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
Summary: [abrt] claws-mail-3.7.9-5.fc14: delete_imap -> mailimap_free -> _int_free: Pr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: http://www.thewildbeast.co.uk/claws-m...
Whiteboard: abrt_hash:b8eb57f4c002effe464667f3a46...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 15:20 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 12:07:52 UTC


Attachments (Terms of Use)
File: backtrace (63.00 KB, text/plain)
2011-08-10 15:20 UTC, David Kovalsky
no flags Details

Description David Kovalsky 2011-08-10 15:20:27 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 64514 bytes
cmdline: claws-mail
component: claws-mail
Attached file: coredump, 2333986816 bytes
crash_function: _int_free
executable: /usr/bin/claws-mail
kernel: 2.6.35.13-92.fc14.x86_64
package: claws-mail-3.7.9-5.fc14
rating: 4
reason: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1312989295
uid: 10625

How to reproduce
-----
1. Run claws-mail on a docked notebook, wired network
2. Pick up the notebook from dock, get to a meeting room, connect to wifi. 
3. Wait 5 minutes and notice claws-mail crash in the background

Comment 1 David Kovalsky 2011-08-10 15:20:30 UTC
Created attachment 517643 [details]
File: backtrace

Comment 2 Michael Schwendt 2011-10-08 14:12:17 UTC
To me it looks a little bit like maybe there's a code path that calls "delete_imap(folder,oldimap)" more than once for an old IMAP session handle.

#0  0x0000003366c76832 in _int_free (av=0x3366f971c0, p=0x1100320, have_lock=0) at malloc.c:4964
#1  0x000000337442c288 in mmap_string_free (string=0x10e1850) at mmapstring.c:409
#2  0x000000337443702a in mailimap_free (session=0x10d7f10) at mailimap.c:2610
  (<- this is in libetpan)
#3  0x00000000005c3da4 in delete_imap (folder=0x16edf70, imap=0x10d7f10) at imap-thread.c:77
#4  0x00000000005c7196 in imap_threaded_connect_ssl (folder=0x16edf70, server=0x15e7a10 "mail.dynvps.cz", port=993) at imap-thread.c:659

Comment 3 Fedora End Of Life 2012-08-16 12:07:55 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.